/* eslint max-len: 0 */
export default {
  pathToSource: '../../../../handsontable/src',
  pathToDist: '../../../content/api',
  urlPrefix: '/api/',
  seo: {
    'Core.md': {
      title: 'Core',
      metaTitle: 'Core API reference - JavaScript Data Grid | Handsontable',
      description: 'A complete list of the public API methods of Handsontable\'s core that let you control your data grid programmatically.',
      react: {
        metaTitle: 'Core methods API reference - React Data Grid | Handsontable',
      },
    },
    'Hooks.md': {
      title: 'Hooks',
      metaTitle: 'Hooks API reference - JavaScript Data Grid | Handsontable',
      description: 'A complete list of Handsontable\'s API hooks (callbacks) that let you run your code before or after specific data grid actions.',
      react: {
        metaTitle: 'Hooks API reference - React Data Grid | Handsontable',
      },
    },
    'Options.md': {
      title: 'Configuration options',
      metaTitle: 'Options API reference - JavaScript Data Grid | Handsontable',
      description: 'A complete list of Handsontable\'s configuration options that let you customize your data grid instance.',
      react: {
        metaTitle: 'Options API reference - React Data Grid | Handsontable',
      },
    },
    'AutoColumnSize.md': {
      metaTitle: 'AutoColumnSize - JavaScript Data Grid | Handsontable',
      description: 'Use the AutoColumnSize plugin with its API options, members, and methods to set column widths based on the widest cell in a given column.',
      react: {
        metaTitle: 'AutoColumnSize - React Data Grid | Handsontable',
      },
    },
    'AutoRowSize.md': {
      metaTitle: 'AutoRowSize - JavaScript Data Grid | Handsontable',
      description: 'Use the AutoRowSize plugin with its API options, members, and methods to set row heights based on the highest cell in a given row.',
      react: {
        metaTitle: 'AutoRowSize - React Data Grid | Handsontable',
      },
    },
    'Autofill.md': {
      metaTitle: 'Autofill - JavaScript Data Grid | Handsontable',
      description: 'Use the Autofill plugin with its API members and methods to enable the drag-down and copy-down features.',
      react: {
        metaTitle: 'Autofill - React Data Grid | Handsontable',
      },
    },
    'BindRowsWithHeaders.md': {
      metaTitle: 'BindRowsWithHeaders - JavaScript Data Grid | Handsontable',
      description: 'Use the BindRowsWithHeaders plugin with its API options and methods to allow binding table rows to their headers.',
      react: {
        metaTitle: 'BindRowsWithHeaders - React Data Grid | Handsontable',
      },
    },
    'CollapsibleColumns.md': {
      metaTitle: 'CollapsibleColumns - JavaScript Data Grid | Handsontable',
      description: 'Use the CollapsibleColumns plugin with its API options and methods to allow collapsing columns that have colspan defined in their header.',
      react: {
        metaTitle: 'CollapsibleColumns - React Data Grid | Handsontable',
      },
    },
    'ColumnSorting.md': {
      metaTitle: 'ColumnSorting - JavaScript Data Grid | Handsontable',
      description: 'Use the ColumnSorting plugin with its API options and methods to sort the view (not the source data) by column.',
      react: {
        metaTitle: 'ColumnSorting - React Data Grid | Handsontable',
      },
    },
    'ColumnSummary.md': {
      metaTitle: 'ColumnSummary - JavaScript Data Grid | Handsontable',
      description: 'Use the ColumnSummary plugin with its API options and methods to summarize your columns, using built-in functions or implementing custom summary functions.',
      react: {
        metaTitle: 'ColumnSummary - React Data Grid | Handsontable',
      },
    },
    'Comments.md': {
      metaTitle: 'Comments - JavaScript Data Grid | Handsontable',
      description: 'Use the Comments plugin with its API options, members, and methods to set and manage cell comments through the context menu or the API.',
      react: {
        metaTitle: 'Comments - React Data Grid | Handsontable',
      },
    },
    'ContextMenu.md': {
      metaTitle: 'ContextMenu - JavaScript Data Grid | Handsontable',
      description: 'Use the ContextMenu plugin with its API options, members, and methods to enable and customize the context menu.',
      react: {
        metaTitle: 'ContextMenu - React Data Grid | Handsontable',
      },
    },
    'CopyPaste.md': {
      metaTitle: 'CopyPaste - JavaScript Data Grid | Handsontable',
      description: 'Use the CopyPaste plugin with its API options, members, and methods to enable the copy/paste functionality, through the API, the context menu, and keyboard shortcuts.',
      react: {
        metaTitle: 'CopyPaste - React Data Grid | Handsontable',
      },
    },
    'CustomBorders.md': {
      metaTitle: 'CustomBorders - JavaScript Data Grid | Handsontable',
      description: 'Use the CustomBorders plugin with its API options, members, and methods to set up custom borders for your cells, programmatically or using the context menu.',
      react: {
        metaTitle: 'CustomBorders - React Data Grid | Handsontable',
      },
    },
    'DragToScroll.md': {
      metaTitle: 'DragToScroll - JavaScript Data Grid | Handsontable',
      description: 'Use the DragToScroll plugin with its API options, members, and methods to scroll the data grid by selecting a cell and dragging it outside the viewport.',
      react: {
        metaTitle: 'DragToScroll - React Data Grid | Handsontable',
      },
    },
    'DropdownMenu.md': {
      metaTitle: 'DropdownMenu - JavaScript Data Grid | Handsontable',
      description: 'Use the DropdownMenu plugin with its API options, members, and methods to enable and customize an interactive column menu.',
      react: {
        metaTitle: 'DropdownMenu - React Data Grid | Handsontable',
      },
    },
    'ExportFile.md': {
      metaTitle: 'DropdownMenu - JavaScript Data Grid | Handsontable',
      description: 'Export your grid\'s data to the CSV format, as a downloadable file, a blob, or a string. Customize your export using Handsontable\'s configuration options.',
      react: {
        metaTitle: 'ExportFile - React Data Grid | Handsontable',
      },
    },
    'Filters.md': {
      metaTitle: 'Filters - JavaScript Data Grid | Handsontable',
      description: 'Use the Filters plugin with its API members and methods to filter the view (not the source data) by a value or by a combination of conditions.',
      react: {
        metaTitle: 'Filters - React Data Grid | Handsontable',
      },
    },
    'Formulas.md': {
      metaTitle: 'Formulas - JavaScript Data Grid | Handsontable',
      description: 'Use the Formulas plugin with its API options, members, and methods to perform Excel-like calculations in your business application.',
      react: {
        metaTitle: 'Formulas - React Data Grid | Handsontable',
      },
    },
    'HiddenRows.md': {
      metaTitle: 'HiddenRows - JavaScript Data Grid | Handsontable',
      description: 'Use the HiddenRows plugin with its API options and methods to hide specified rows, without modifying your source data.',
      react: {
        metaTitle: 'HiddenRows - React Data Grid | Handsontable',
      },
    },
    'ManualColumnFreeze.md': {
      metaTitle: 'ManualColumnFreeze - JavaScript Data Grid | Handsontable',
      description: 'Use the ManualColumnFreeze plugin with its API options and methods to lock (freeze) the position of specified columns.',
      react: {
        metaTitle: 'ManualColumnFreeze - React Data Grid | Handsontable',
      },
    },
    'ManualColumnMove.md': {
      metaTitle: 'ManualColumnMove - JavaScript Data Grid | Handsontable',
      description: 'Use the ManualColumnMove plugin with its API options and methods (e.g., moveColumn(), moveColumns(), dragColumn()), to change the order of columns.',
      react: {
        metaTitle: 'ManualColumnMove - React Data Grid | Handsontable',
      },
    },
    'ManualColumnResize.md': {
      metaTitle: 'ManualColumnResize - JavaScript Data Grid | Handsontable',
      description: 'Use the ManualColumnResize plugin with its API options and methods to let your users manually change column widths using Handsontable\'s interface.',
      react: {
        metaTitle: 'ManualColumnResize - React Data Grid | Handsontable',
      },
    },
    'ManualRowMove.md': {
      metaTitle: 'ManualRowMove - JavaScript Data Grid | Handsontable',
      description: 'Use the ManualRowMove plugin with its API options and methods (e.g., moveRow(), moveRows(), dragRow()), to change the order of rows.',
      react: {
        metaTitle: 'ManualRowMove - React Data Grid | Handsontable',
      },
    },
    'ManualRowResize.md': {
      metaTitle: 'ManualRowResize - JavaScript Data Grid | Handsontable',
      description: 'Use the ManualColumnResize plugin with its API options and methods to let your users manually change row heights using Handsontable\'s interface.',
      react: {
        metaTitle: 'ManualRowResize - React Data Grid | Handsontable',
      },
    },
    'MergeCells.md': {
      metaTitle: 'MergeCells - JavaScript Data Grid | Handsontable',
      description: 'Use the MergeCells plugin with its API options and methods to merge adjacent cells, using the "Ctrl + M" shortcut or the context menu.',
      react: {
        metaTitle: 'MergeCells - React Data Grid | Handsontable',
      },
    },
    'MultiColumnSorting.md': {
      metaTitle: 'MultiColumnSorting - JavaScript Data Grid | Handsontable',
      description: 'Use the MultiColumnSorting plugin with its API methods to sort the view (not the data source) across multiple columns.',
      react: {
        metaTitle: 'MultiColumnSorting - React Data Grid | Handsontable',
      },
    },
    'NestedHeaders.md': {
      metaTitle: 'NestedHeaders - JavaScript Data Grid | Handsontable',
      description: 'Use the NestedHeaders plugin with its API options and methods to group your columns, using multiple levels of nested column headers.',
      react: {
        metaTitle: 'NestedHeaders - React Data Grid | Handsontable',
      },
    },
    'NestedRows.md': {
      metaTitle: 'NestedRows - JavaScript Data Grid | Handsontable',
      description: 'Use the NestedRows plugin with its API options, members and methods to display data in nested structures (where data spans multiple columns).',
      react: {
        metaTitle: 'NestedRows - React Data Grid | Handsontable',
      },
    },
    'PersistentState.md': {
      metaTitle: 'PersistentState - JavaScript Data Grid | Handsontable',
      description: 'Use the PersistentState plugin with its API options and methods to keep the state of column sorting, column positions, and column sizes between page reloads.',
      react: {
        metaTitle: 'PersistentState - React Data Grid | Handsontable',
      },
    },
    'Search.md': {
      metaTitle: 'Search - JavaScript Data Grid | Handsontable',
      description: 'Use the Search plugin with its API options and methods such as query(), to configure and customize Handsontable\'s search.',
      react: {
        metaTitle: 'Search - React Data Grid | Handsontable',
      },
    },
    'TrimRows.md': {
      metaTitle: 'TrimRows - JavaScript Data Grid | Handsontable',
      description: 'Use the TrimRows plugin with its API options and methods to remove rows from the table view and the DataMap.',
      react: {
        metaTitle: 'TrimRows - React Data Grid | Handsontable',
      },
    },
    'UndoRedo.md': {
      metaTitle: 'UndoRedo - JavaScript Data Grid | Handsontable',
      description: 'Use the UndoRedo plugin with its API options and methods to revert and restore your changes.',
      react: {
        metaTitle: 'UndoRedo - React Data Grid | Handsontable',
      },
    },
    'BaseEditor.md': {
      metaTitle: 'BaseEditor - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s BaseEditor API.',
      react: {
        metaTitle: 'BaseEditor - React Data Grid | Handsontable',
      },
    },
    'BasePlugin.md': {
      metaTitle: 'BasePlugin - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s BasePlugin API.',
      react: {
        metaTitle: 'BasePlugin - React Data Grid | Handsontable',
      },
    },
    'CellCoords.md': {
      metaTitle: 'CellCoords - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s CellCoord API.',
      react: {
        metaTitle: 'CellCoords - React Data Grid | Handsontable',
      },
    },
    'CellRange.md': {
      metaTitle: 'CellRange - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s CellRange API.',
      react: {
        metaTitle: 'CellRange - React Data Grid | Handsontable',
      },
    },
    'ChangesObserver.md': {
      metaTitle: 'ChangesObserver - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s ChangesObserver API.',
      react: {
        metaTitle: 'ChangesObserver - React Data Grid | Handsontable',
      },
    },
    'CreateShortcutManager.md': {
      metaTitle: 'CreateShortcutManager - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s CreateShortcutManager API.',
      react: {
        metaTitle: 'CreateShortcutManager - React Data Grid | Handsontable',
      },
    },
    'DataMap.md': {
      metaTitle: 'DataMap - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s DataMap API.',
      react: {
        metaTitle: 'DataMap - React Data Grid | Handsontable',
      },
    },
    'GhostTable.md': {
      metaTitle: 'GhostTable - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s GhostTable API.',
      react: {
        metaTitle: 'GhostTable - React Data Grid | Handsontable',
      },
    },
    'HidingMap.md': {
      metaTitle: 'HidingMap - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s HidingMap API.',
      react: {
        metaTitle: 'HidingMap - React Data Grid | Handsontable',
      },
    },
    'IndexMap.md': {
      metaTitle: 'IndexMap - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s IndexMap API.',
      react: {
        metaTitle: 'IndexMap - React Data Grid | Handsontable',
      },
    },
    'IndexMapper.md': {
      metaTitle: 'IndexMapper - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s IndexMapper API.',
      react: {
        metaTitle: 'IndexMapper - React Data Grid | Handsontable',
      },
    },
    'IndexesSequence.md': {
      metaTitle: 'IndexesSequence - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s IndexesSequence API.',
      react: {
        metaTitle: 'IndexesSequence - React Data Grid | Handsontable',
      },
    },
    'LinkedPhysicalIndexToValueMap.md': {
      metaTitle: 'LinkedPhysicalIndexToValueMap - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s LinkedPhysicalIndexToValueMap API.',
      react: {
        metaTitle: 'LinkedPhysicalIndexToValueMap - React Data Grid | Handsontable',
      },
    },
    'Menu.md': {
      metaTitle: 'Menu - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s Menu API.',
      react: {
        metaTitle: 'Menu - React Data Grid | Handsontable',
      },
    },
    'PhysicalIndexToValueMap.md': {
      metaTitle: 'PhysicalIndexToValueMap - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s PhysicalIndexToValueMap API.',
      react: {
        metaTitle: 'PhysicalIndexToValueMap - React Data Grid | Handsontable',
      },
    },
    'SamplesGenerator.md': {
      metaTitle: 'SamplesGenerator - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s SamplesGenerator API.',
      react: {
        metaTitle: 'SamplesGenerator - React Data Grid | Handsontable',
      },
    },
    'ShortcutContext.md': {
      metaTitle: 'ShortcutContext - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s ShortcutContext API.',
      react: {
        metaTitle: 'ShortcutContext - React Data Grid | Handsontable',
      },
    },
    'TrimmingMap.md': {
      metaTitle: 'TrimmingMap - JavaScript Data Grid | Handsontable',
      description: 'Options, members, and methods of Handsontable\'s TrimmingMap API.',
      react: {
        metaTitle: 'TrimmingMap - React Data Grid | Handsontable',
      },
    },
  }
};
